Bug 220969 - security/chntpw: Update to 140201
Summary: security/chntpw: Update to 140201
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Ben Woods
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2017-07-24 15:55 UTC by Ben Woods
Modified: 2020-05-05 11:56 UTC (History)
3 users (show)

See Also:
woodsb02: maintainer-feedback+


Attachments
svn-diff-chntpw (5.02 KB, patch)
2018-01-22 08:36 UTC, Walter Schwarzenfeld
woodsb02: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ben Woods freebsd_committer 2017-07-24 15:55:42 UTC
A new version of chntpw was released a couple of years ago, and the port should be updated to use it.

By the way - this program saved my bacon today - thanks for maintaining the port!
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2017-07-25 04:18:03 UTC
Reporter is committer, assign accordingly
Comment 2 Walter Schwarzenfeld freebsd_triage 2018-01-22 08:36:39 UTC
Created attachment 189958 [details]
svn-diff-chntpw
Comment 3 buganini 2018-01-23 16:32:36 UTC
Hi, I am unable to test it recently, please feel free the commit the patch if it is ok.

Also, please feel free to take over maintainership if anyone is interested.

Buganini
Comment 4 buganini 2018-01-23 16:33:16 UTC
Hi, I am unable to test it recently, please feel free the commit the patch if it is ok.

Also, please feel free to take over maintainership if anyone is interested.

Buganini
Comment 5 daniel.engberg.lists 2020-04-30 20:11:26 UTC
Ben,
I think it's safe to assume that you can commit this by now and return port to the pool?
Comment 6 commit-hook freebsd_committer 2020-05-05 11:54:27 UTC
A commit references this bug:

Author: woodsb02
Date: Tue May  5 11:53:35 UTC 2020
New revision: 534073
URL: https://svnweb.freebsd.org/changeset/ports/534073

Log:
  security/chntpw: Update to 140201

  - Reset maintainer
  - Re-format patch to apply cleanly
  - pet portlint

  PR:		220969
  Submitted by:	Walter Schwarzenfeld <w.schwarzenfeld@utanet.at>
  Reported by:	woodsb02
  Approved by:	buganini@gmail.com (ex maintainer)

Changes:
  head/security/chntpw/Makefile
  head/security/chntpw/distinfo
  head/security/chntpw/files/patch-chntpw.c
Comment 7 Ben Woods freebsd_committer 2020-05-05 11:54:59 UTC
Committed - thanks for the patch Walter, and the approval buganini.

Walter - note that rather than deleting the existing patch files/patch-chntpw.c, I instead re-formatted the patch so it would apply cleanly. Please let me know if you know a reason this patch should not be applied at all.
Comment 8 Ben Woods freebsd_committer 2020-05-05 11:56:14 UTC
(In reply to daniel.engberg.lists from comment #5)
Thanks for the reminder Daniel - I had clearly forgotten about this one!